1.1
1.1
get /v1/configinspection/diagnosis/list
Description
get config inspection list
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | with_count optional | with count Example : true | any of [string, null] | None |
| query | limit optional | limit Example : 20 | any of [integer, null] | None |
| query | marker optional | marker Example : 607e0938521643b5b4b266f343fae693 | any of [string, null] | None |
| query | sort optional | sort Example : created_at:desc | any of [string, null] | None |
| query | isMine optional | my Config Inspection Example : False | boolean | False |
| query | diagnosis_id optional | Id of diagnosis Example : DIA-943731CB8E3045C289BAECAEC3532097 | any of [string, null] | None |
| query | diagnosis_name optional | Name of diagnosis Example : My Diagnosis | any of [string, null] | None |
| query | csp_type optional | Type of cloud service provider Example : SCP | any of [string, null] | None |
| query | diagnosis_account_id optional | Id of diagnosis Example : 0e3dffc50eb247a1adf4f2e5c82c4f99 | any of [string, null] | None |
| query | recent_diagnosis_state optional | recent Diagnosis State Example : Completed | any of [array[string], null] | None |
| query | start_date optional | start Date Example : 2022-01-01 12:00:00 | any of [string, null] | None |
| query | end_date optional | end Date Example : 2022-01-02 12:00:00 | any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ConfigInspectionListResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/configinspection/diagnosis/list
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = configinspection 1.1"
Example HTTP response
Response 200
{
"count": 20,
"links": [
{
"href": "http://scp.samsungsdscloud.com/v1/notices",
"rel": "self"
}
],
"summary_responses": [
{
"created_at": "2022-01-01T12:00:00Z",
"csp_type": "SCP",
"diagnosis_account_id": "0e3dffc50eb247a1adf4f2e5c82c4f99",
"diagnosis_check_type": "BP",
"diagnosis_id": "DIA-943731CB8E3045C289BAECAEC3532097",
"diagnosis_name": "Sample Diagnosis Name",
"diagnosis_type": "Console",
"error_state": "CONNECTION_FAIL",
"plan_type": "STANDARD",
"recent_diagnosis_at": "2022-01-01T12:00:00Z",
"recent_diagnosis_state": "Completed"
}
]
}